Failure to build mist

LarsPensjoLarsPensjo SwedenMember Posts: 35
I installed Qt in /lars/Qt, and compiled as follows:
$ export PKG_CONFIG_PATH=/lars/Qt/5.4/gcc_64/lib/pkgconfig
$ build/env.sh go install -v -x $(shell build/ldflags.sh) ./cmd/mist
g++ -I . -fPIC -m64 -pthread -fmessage-length=0 -o $WORK/github.com/obscuren/qml/_obj/_cgo_.o $WORK/github.com/obscuren/qml/_obj/_cgo_main.o $WORK/github.com/obscuren/qml/_obj/_cgo_export.o $WORK/github.com/obscuren/qml/_obj/bridge.cgo2.o $WORK/github.com/obscuren/qml/_obj/datatype.cgo2.o $WORK/github.com/obscuren/qml/_obj/log.cgo2.o $WORK/github.com/obscuren/qml/_obj/qml.cgo2.o $WORK/github.com/obscuren/qml/_obj/testing.cgo2.o $WORK/github.com/obscuren/qml/_obj/all.cpp.o -g -O2 -lstdc++ -L/lars/Qt/5.4/gcc_64/lib -lQt5Widgets -lQt5Quick -lQt5Gui -lQt5Qml -lQt5Network -lQt5Core
# github.com/obscuren/qml
/usr/bin/ld: warning: libicui18n.so.53, needed by /lars/Qt/5.4/gcc_64/lib/libQt5Core.so, not found (try using -rpath or -rpath-link)
Notice the -L flag, so I think pkg-config is doing what it should. It seems libicui18n.so.53 is missing. But it isn't:
$ ll /lars/Qt/5.4/gcc_64/lib/libicui18n.so.53
lrwxrwxrwx 1 lars lars 18 maj 24 20:28 /lars/Qt/5.4/gcc_64/lib/libicui18n.so.53 -> libicui18n.so.53.1*
$ wc /lars/Qt/5.4/gcc_64/lib/libicui18n.so.53
   6108   41513 2974125 /lars/Qt/5.4/gcc_64/lib/libicui18n.so.53
I get the feeling there is something stupid I am doing, but I can't figure it out. Obvioulsy, libQt5Core.so is found.
Sign In or Register to comment.